<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <script>
        let num=+prompt('enter num');
        
        function printNum(n){
            if(n>num)
            return;
                console.log(n);
                printNum(n+1);
            console.log(n);
        }
    printNum(1);
    </script>
</body>
</html>